package com.ruoyi.bst.complaint.service;

import java.util.List;
import com.ruoyi.bst.complaint.domain.Complaint;
import com.ruoyi.bst.complaint.domain.ComplaintVO;
import com.ruoyi.bst.complaint.domain.ComplaintQuery;

/**
 * 投诉Service接口
 *
 * @author ruoyi
 * @date 2025-03-31
 */
public interface ComplaintService
{
    /**
     * 查询投诉
     *
     * @param id 投诉主键
     * @return 投诉
     */
    public ComplaintVO selectComplaintById(Long id);

    /**
     * 查询投诉列表
     *
     * @param complaint 投诉
     * @return 投诉集合
     */
    public List<ComplaintVO> selectComplaintList(ComplaintQuery complaint);

    /**
     * 新增投诉
     *
     * @param complaint 投诉
     * @return 结果
     */
    public int insertComplaint(Complaint complaint);

    /**
     * 修改投诉
     *
     * @param complaint 投诉
     * @return 结果
     */
    public int updateComplaint(Complaint complaint);

    /**
     * 批量删除投诉
     *
     * @param ids 需要删除的投诉主键集合
     * @return 结果
     */
    public int deleteComplaintByIds(Long[] ids);

    /**
     * 删除投诉信息
     *
     * @param id 投诉主键
     * @return 结果
     */
    public int deleteComplaintById(Long id);
}
